package net.vtstar.zhongtong.avi.demo.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import net.vtstar.user.search.controller.vo.SearchVo;
import net.vtstar.utils.domain.Return;
import net.vtstar.zhongtong.avi.demo.service.DemoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api/demo")
@Api(description = "星期配置")
public class DemoController {

    @Autowired
    private DemoService demoService;


    @ApiOperation("列表")
    @PostMapping("/page")
    public Return demoList(@RequestBody SearchVo pageFilter) {
        return Return.success(demoService.pageList(pageFilter.toJSONObject()));
    }
}
